/*
 * @Author: Devin
 * @Date: 2023-01-10 16:34:50
 * @LastEditors: Devin
 * @LastEditTime: 2023-01-11 09:55:33
 * @Description: 页面配置文件
 */
import { ref } from 'vue';

export const searchConfig = ref<any>({
  tableList: {
    forms: [
      {
        label: '名称',
        name: 'name',
        type: 'input',
        value: '',
        col: 6,
        attrs: {
          clearable: true
        }
      },
      {
        label: '名称1',
        name: 'name1',
        type: 'input',
        value: '',
        col: 6,
        attrs: {
          clearable: true
        }
      },
      {
        label: '名称2',
        name: 'name2',
        type: 'input',
        value: '',
        col: 6,
        attrs: {
          clearable: true
        }
      },
      {
        label: '名称3',
        name: 'name3',
        type: 'input',
        value: '',
        col: 6,
        attrs: {
          clearable: true
        }
      },
      {
        label: '名称4',
        name: 'name4',
        type: 'input',
        value: '',
        col: 6,
        attrs: {
          clearable: true
        }
      },
      {
        label: '名称5',
        name: 'name5',
        type: 'input',
        value: '',
        col: 6,
        attrs: {
          clearable: true
        }
      }
    ],

    formValue: {
      name: ''
    }
  }
});

// 表头
export const headerConfig = ref<any>({
  tableList: [
    { label: '名称', name: 'name', 'min-width': '120' },
    { label: '年龄', name: 'age', 'min-width': '120' },
    { label: '性别', name: 'sex', 'min-width': '120' },
    {
      label: '操作',
      name: 'custom',
      type: 'custom',
      fixed: 'right',
      'min-width': '120'
    }
  ]
});

// 弹窗配置
export const dialogConfig = ref<any>({
  tableList: [
    {
      label: '名称',
      name: 'name',
      type: 'input',
      value: '',
      col: 12,
      attrs: {
        clearable: true
      }
    },
    {
      label: '年龄',
      name: 'age',
      type: 'input',
      value: '',
      col: 12,
      attrs: {
        clearable: true
      }
    },
    {
      label: '性别',
      name: 'sex',
      type: 'select',
      value: '',
      col: 12,
      attrs: {
        clearable: true,
        options: [
          {
            label: '男',
            value: 1
          },
          {
            label: '女',
            value: 1
          }
        ]
      }
    }
  ]
});
